Bug 848102 - Add systemd unit files; use them by default for fc15+ and el7+
Add systemd unit files; use them by default for fc15+ and el7+
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spice-vdagent (Show other bugs)
18
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 11:39 EDT by David Jaša
Modified: 2012-09-17 18:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:11:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch 1 (1.61 KB, patch)
2012-08-14 15:23 EDT, Marc-Andre Lureau
no flags Details | Diff
patch 2 (2.32 KB, patch)
2012-08-14 15:24 EDT, Marc-Andre Lureau
no flags Details | Diff
patch 3 (3.87 KB, patch)
2012-08-14 15:24 EDT, Marc-Andre Lureau
no flags Details | Diff
patch 4 (2.39 KB, patch)
2012-08-14 15:25 EDT, Marc-Andre Lureau
no flags Details | Diff

  None (edit)
Description David Jaša 2012-08-14 11:39:12 EDT
Description of problem:
Add systemd unit files; use them by default for fc15+ and el7+

Version-Release number of selected component (if applicable):
spice-vdagent-0.10.1-1.fc17.x86_64

apart from other benefits of native init system, this will allow to start spice-vdagentd only if /dev/virtio-ports/com.redhat.spice.0 is present (if some virtio-spice.device file is created for it and required by spice-vdagentd.service).
Comment 1 Marc-Andre Lureau 2012-08-14 15:23:39 EDT
Created attachment 604416 [details]
patch 1
Comment 2 Marc-Andre Lureau 2012-08-14 15:24:11 EDT
Created attachment 604417 [details]
patch 2
Comment 3 Marc-Andre Lureau 2012-08-14 15:24:34 EDT
Created attachment 604421 [details]
patch 3
Comment 4 Marc-Andre Lureau 2012-08-14 15:25:05 EDT
Created attachment 604422 [details]
patch 4
Comment 5 Marc-Andre Lureau 2012-08-14 15:26:11 EDT
I attached a couple of patches I made in the past that used to work but were still wip. They could be good enough, but they need verification.
Comment 6 Hans de Goede 2012-08-14 15:39:49 EDT
(In reply to comment #5)
> I attached a couple of patches I made in the past that used to work but were

Cool, many thanks for working on this!

> still wip. They could be good enough, but they need verification.

They look good to me. "they need verification", does that mean they need testing? Once they are tested feel free to push them to: http://cgit.freedesktop.org/spice/linux/vd_agent

Its part of the spice group repos so you should have access.
Comment 7 Hans de Goede 2012-08-26 07:40:55 EDT
(In reply to comment #5)
> I attached a couple of patches I made in the past that used to work but were
> still wip. They could be good enough, but they need verification.

Thanks, I've merged and tested them, they work as advertised :)  I've added a small patch on top to use hardware activation for the systemd service, making systemd start the service on the addition of the
/dev/virtio-ports/com.redhat.spice.0 device. You can find the merged patches here:
http://cgit.freedesktop.org/spice/linux/vd_agent
Comment 8 Fedora Update System 2012-09-01 14:54:36 EDT
spice-vdagent-0.12.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/spice-vdagent-0.12.0-1.fc18
Comment 9 Fedora Update System 2012-09-02 15:37:43 EDT
Package spice-vdagent-0.12.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spice-vdagent-0.12.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13159/spice-vdagent-0.12.0-1.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-09-17 18:11:37 EDT
spice-vdagent-0.12.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.